const ExternalUrlsUtils = {



      BaseLofarMonitorUrl : "https://proxy.lofar.eu/lofmonitor/station_overview?station=",

        /**
     * Function to give back a scheduling constraint url
     * @param {string} Station - The Station
     * @param {string} schedulingUnit - the Unit we are looking at
     * @param {string} onDate - 2023-02-14 formatedf formated of the date
     * @returns string  with the url
     */
    getUserRolePermissionForStationAndSchedulingUnitOnDate(station,schedulingUnit,onDate) {
        return  "/api/scheduling_unit_blueprint/" + schedulingUnit + "/scheduling_constraints_plot/" + station + "/" + onDate
    },
    
    /**
     * Function to give back the Lofar Monitoring Url
     * @param {string} Station - The Station
     * @returns string  with the url
     */

    getLofarMontitorUrlForStation(station) {
        return this.BaseLofarMonitorUrl + station 
    }
};

export default ExternalUrlsUtils;