import externalUrls from "./externalurls";

describe('getLofarMontitorUrlForStation', () => {
    it('should return the correct url', () => {
        const subbandString = externalUrls.getLofarMontitorUrlForStation("CS002")
        expect(subbandString).toEqual("https://proxy.lofar.eu/lofmonitor/station_overview?station=CS002")
    })
});

describe('getUserRolePermissionForStationAndSchedulingUnitOnDate', () => {
    it('should return the correct url', () => {
        const subbandString = externalUrls.getUserRolePermissionForStationAndSchedulingUnitOnDate("CS003", 21, "1976-08-06")
        expect(subbandString).toEqual("/api/scheduling_unit_blueprint/21/scheduling_constraints_plot/CS003/1976-08-06")

    })
});