module.exports = {
  "env": {
    "browser": true,
    "es2021": true,
    "node": true,
    "jasmine": true,
    "jest": true,
    "es6": true,
  },

  "extends": ["eslint:recommended", "plugin:react/recommended"],
  "plugins": [
    "react"
  ],
  "parserOptions": {
    "parser": "@babel/eslint-parser",
    "ecmaVersion": "latest",
    "sourceType": "module",
  },
  "rules": {
    "react/prop-types": "off",
    "react/react-in-jsx-scope": "off",
    "react/jsx-uses-react": "off",
  },
  "settings": {
    "react": {
      "version": "detect"
    }
  }
}